﻿namespace MafiaCommon.Packets
{
    public class PlayerDisconnectedPacket : Packet
    {
        public readonly bool IsByError;
        public readonly int Id;
        public readonly int Players;
        public readonly int MaxPlayers;
        
        public PlayerDisconnectedPacket(bool isByError, int id, int players, int maxPlayers) : base(PacketType.PlayerDisconnected)
        {
            IsByError = isByError;
            Id = id;
            Players = players;
            MaxPlayers = maxPlayers;
        }
    }
}