﻿namespace MafiaCommon.Packets
{
    public class MessageReceivePacket : Packet
    {
        public readonly ChatType ChatType;
        public readonly bool IsSystem;
        public readonly string Author;
        public readonly string Text;
        
        public MessageReceivePacket(ChatType chatType, bool isSystem, string author, string text) : base(PacketType.MessageReceivePacket)
        {
            ChatType = chatType;
            IsSystem = isSystem;
            Author = author;
            Text = text;
        }
    }
}